Foreman - Bug #9584

User email address length has maximum length of 60.

02/27/2015 01:59 PM - dave ingham

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Rails
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1529099 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3431
Description

There is an 'internal’ user that needs to be given an email address that is an alias. The alias provided to me has a length of 80.

Users cannot have an email address longer than 60 characters in version 1.7.2.

Can the length restriction be increased or removed?

Related issues:

Related to Foreman - Refactor #14641: Simplify e-mail address regex

New 04/14/2016

Associated revisions

Revision b6ebaeal - 04/18/2016 07:37 AM - Daniel Lobato Garcia

Fixes #9584 - User email address length can be longer than 60

As far as | know, there's no need for this artificial limitation.
Revision 5283965c - 04/18/2016 01:45 PM - Daniel Lobato Garcia
Fixes #9584 - User email address length can be longer than 60

As far as | know, there's no need for this artificial limitation.

(cherry picked from commit b6ebaeai4c3d38e8e44789f25832d0d71457938a)

History

#1 - 03/02/2015 04:31 AM - Dominic Cleal
- Category set to Rails

#2 - 04/14/2016 08:00 AM - Stephen Benjamin
- Related to Refactor #14641: Simplify e-mail address regex added

#3 - 04/14/2016 10:18 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3431 added

#4 - 04/18/2016 08:03 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b6ebaea14c3d38e8e44789f25832d0d71457938a.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b6ebaea14c3d38e8e44789f25832d0d71457938a

#5 - 04/18/2016 09:19 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#6 - 01/19/2018 01:06 PM - Marek Hulan
- Bugzilla link set to 1529099
